Skip to main content
`Ctrl`+`K`

# VecViennaCLGetCLContext

Get the OpenCL context in which the Vec resides.

## Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLGetCLContext(Vec v, PETSC_UINTPTR_T *ctx)

Caller should cast (*ctx) to (const cl_context). Caller is responsible for invoking clReleaseContext().

## Input Parameter

- v - the vector

## Output Parameter

- ctx - pointer to the underlying CL context

## See Also

`VecViennaCLGetCLQueue()`, `VecViennaCLGetCLMemRead()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages